## python-openstackclient 0.3.0

=== requirements.txt ===
pbr>=0.5.21,<1.0
cliff>=1.4.3
keyring>=1.6.1,<2.0
pycrypto>=2.6
python-glanceclient>=0.9.0
python-keystoneclient>=0.4.1
python-novaclient>=2.15.0
python-cinderclient>=1.0.6
requests>=1.1
six>=1.4.1

=== debian/changelog ===
python-openstackclient (0.3.0-1ubuntu1) trusty; urgency=medium

  * d/control: Align version requirements on python-novaclient with
    Ubuntu version (LP: #1301154). 

 -- James Page <james.page@ubuntu.com>  Thu, 03 Apr 2014 13:10:58 +0100

python-openstackclient (0.3.0-1) unstable; urgency=low

  * Initial release. (Closes: #733557)

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 31 Dec 2013 01:37:38 -0300

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>, Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.5.21),
               python-setuptools
Build-Depends-Indep: python-babel (>= 1.3),
                     python-cinderclient (>= 1:1.0.6),
                     python-cliff (>= 1.4.3),
                     python-coverage (>= 3.6),
                     python-crypto (>= 2.6.0),
                     python-fixtures (>= 0.3.14),
                     python-glanceclient (>= 1:0.9.0),
                     python-hacking,
                     python-keyring (>= 1.6.1),
                     python-keystoneclient (>= 1:0.4.1),
                     python-mock (>= 1.0),
                     python-novaclient (>= 1:2.15.0),
                     python-requests (>= 1.1),
                     python-six (>= 1.4.1),
                     python-sphinx (>= 1.1.2),
                     python-testtools (>= 0.9.32),
                     python-webob (>= 1.2.3),
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-openstackclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-openstackclient.git
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient
Architecture: all
Depends: python-cinderclient (>= 1:1.0.6),
         python-cliff (>= 1.4.3),
         python-crypto (>= 2.6.0),
         python-glanceclient (>= 1:0.9.0),
         python-keyring (>= 1.6.1),
         python-keystoneclient (>= 1:0.4.1),
         python-novaclient (>= 1:2.15.0),
         python-requests (>= 1.1),
         python-six (>= 1.4.1),
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: OpenStack Command-line Client
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/python-openstackclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

override_dh_auto_clean:
	rm -rf doc/build build python_openstackclient.egg-info .testrepository

override_dh_auto_build:
	dh_auto_build
	make -C doc man

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	python setup.py testr || true
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/python-openstackclient python-openstackclient-(.*).tar.gz

## python-openstackclient 0.4.0

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
cliff>=1.4.3
keyring>=2.1
pycrypto>=2.6
python-glanceclient>=0.9.0
python-keystoneclient>=0.9.0
python-novaclient>=2.17.0
python-cinderclient>=1.0.6
requests>=1.1
six>=1.7.0

=== debian/changelog ===
python-openstackclient (0.4.0-1) unstable; urgency=medium

  * New upstream release. 

 -- gustavo panizzo <gfa@zumbi.com.ar>  Mon, 30 Jun 2014 00:55:59 -0300

python-openstackclient (0.3.1-1) unstable; urgency=medium

  * New upstream release. 

 -- gustavo panizzo <gfa@zumbi.com.ar>  Fri, 25 Apr 2014 16:17:10 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: python-openstackclient
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: gustavo panizzo <gfa@zumbi.com.ar>, Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
                openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
-               python-pbr (>= 0.5.21),
+               python-pbr (>= 0.6),
                python-setuptools
 Build-Depends-Indep: python-babel (>= 1.3),
                      python-cinderclient (>= 1:1.0.6),
@@ -17,12 +16,12 @@
                      python-fixtures (>= 0.3.14),
                      python-glanceclient (>= 1:0.9.0),
                      python-hacking,
-                     python-keyring (>= 1.6.1),
-                     python-keystoneclient (>= 1:0.4.1),
+                     python-keyring (>= 2.1),
+                     python-keystoneclient (>= 1:0.9.0),
                      python-mock (>= 1.0),
-                     python-novaclient (>= 1:2.15.0),
+                     python-novaclient (>= 2:2.17.0),
                      python-requests (>= 1.1),
-                     python-six (>= 1.4.1),
+                     python-six (>= 1.7.0),
                      python-sphinx (>= 1.1.2),
                      python-testtools (>= 0.9.32),
                      python-webob (>= 1.2.3),
@@ -40,11 +39,12 @@
          python-glanceclient (>= 1:0.9.0),
          python-keyring (>= 1.6.1),
          python-keystoneclient (>= 1:0.4.1),
-         python-novaclient (>= 1:2.15.0),
+         python-novaclient (>= 2:2.15.0),
          python-requests (>= 1.1),
-         python-six (>= 1.4.1),
+         python-six (>= 1.7.0),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
+         ${sphinxdoc:Depends}
 Recommends: ${python:Recommends}
 Description: OpenStack Command-line Client
  python-openstackclient is a unified command-line client for the OpenStack APIs.

=== debian/rules ===
--- 
+++ 
@@ -6,16 +6,22 @@
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf doc/build build python_openstackclient.egg-info .testrepository
 
 override_dh_auto_build:
 	dh_auto_build
-	make -C doc man
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	python setup.py testr || true
 endif
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+	sphinx-build -b man doc/source doc/build/man
+	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-openstackclient/usr/share/doc/python-openstackclient/html
+	dh_sphinxdoc -O--buildsystem=python2
+endif

## python-openstackclient 1.0.1

=== debian/changelog ===
python-openstackclient (1.0.1-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1393873).

 -- James Page <james.page@ubuntu.com>  Wed, 17 Dec 2014 21:57:18 +0000

python-openstackclient (1.0.0-0ubuntu2) vivid; urgency=medium

  * d/control: Add missing BD' on cliff-tablib >= 1.0 and
    python-requests-mock.
  * d/rules: Fail package build on unit test failures.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Dec 2014 17:15:21 +0000

python-openstackclient (1.0.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. 
  * debian/watch: Fix watch file.
  * debian/CHANGELOG: Removed
  * debian/patches/001-disable-intersphinx.patch: Dropped no longer
    needed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Dec 2014 10:06:34 -0500

python-openstackclient (0.4.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Matt Fischer <mfisch@ubuntu.com>  Tue, 18 Nov 2014 13:05:31 -0700

## python-openstackclient 1.0.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
six>=1.9.0

Babel>=1.3
cliff>=1.7.0  # Apache-2.0
cliff-tablib>=1.0
oslo.config>=1.9.0  # Apache-2.0
oslo.i18n>=1.3.0  # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
oslo.serialization>=1.2.0               # Apache-2.0
python-glanceclient>=0.15.0
python-keystoneclient>=1.1.0
python-novaclient>=2.18.0,!=2.21.0
python-cinderclient>=1.1.0
python-neutronclient>=2.3.11,<3
requests>=2.2.0,!=2.4.0
stevedore>=1.1.0  # Apache-2.0

=== debian/changelog ===
python-openstackclient (1.0.3-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 May 2015 10:07:06 +0000

python-openstackclient (1.0.3-0ubuntu1) vivid; urgency=medium

  * New upstream release. (LP: #1449744) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 01 May 2015 09:11:50 +0200

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>, Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools
Build-Depends-Indep: cliff-tablib (>= 1.0),
                     python-babel (>= 1.3),
                     python-cinderclient (>= 1:1.0.6),
                     python-cliff (>= 1.6.0),
                     python-coverage (>= 3.6),
                     python-crypto (>= 2.6.0),
                     python-fixtures (>= 0.3.14),
                     python-glanceclient (>= 1:0.13.1),
                     python-hacking (>= 0.9.1),
                     python-keystoneclient (>= 1:0.10.0),
                     python-mock (>= 1.0),
                     python-novaclient (>= 1:2.17.0),
                     python-neutronclient (>= 1:2.3.6),
                     python-oslosphinx (>= 2.2.0a2),
                     python-requests (>= 1.2.1),
                     python-requests-mock,
                     python-six (>= 1.7.0),
                     python-sphinx (>= 1.1.2),
                     python-testtools (>= 0.9.34),
                     python-webob (>= 1.2.3),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-openstackclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-openstackclient.git
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient
Architecture: all
Depends: python-cinderclient (>= 1:1.0.6),
         python-cliff (>= 1.6.0),
         python-crypto (>= 2.6.0),
         python-glanceclient (>= 1:0.13.1),
         python-keystoneclient (>= 1:0.10.0),
         python-novaclient (>= 1:2.17.0),
         python-neutronclient (>= 1:2.3.6),
         python-requests (>= 1.2.1),
         python-six (>= 1.7.0),
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: OpenStack Command-line Client
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/python-openstackclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

override_dh_auto_clean:
	rm -rf doc/build build python_openstackclient.egg-info .testrepository

override_dh_auto_build:
	dh_auto_build
	make -C doc man

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	python setup.py testr
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/python-openstackclient/ python-openstackclient-(.*).tar.gz

## python-openstackclient 1.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6
six>=1.9.0

Babel>=1.3
cliff>=1.14.0 # Apache-2.0
cliff-tablib>=1.0
os-client-config!=1.6.2,>=1.4.0
oslo.config>=2.3.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
python-glanceclient>=0.18.0
python-keystoneclient>=1.6.0
python-novaclient>=2.28.1
python-cinderclient>=1.3.1
python-neutronclient>=2.6.0
requests>=2.5.2
stevedore>=1.5.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (1.7.0-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Sep 2015 04:31:53 +0000

python-openstackclient (1.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Sep 2015 19:37:25 +0000

python-openstackclient (1.6.0-1) experimental; urgency=medium

  [ gustavo panizzo ]
  * New upstream release.

  [ Thomas Goirand ]
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Sep 2015 14:13:01 +0000

python-openstackclient (1.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/gbp.conf: Update gbp configuration for liberty branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 22 Jun 2015 16:07:31 +0100

python-openstackclient (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Removed useless patches.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2015 21:59:26 +0000

python-openstackclient (1.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 27 Jan 2015 13:50:06 +0800

python-openstackclient (1.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Updated Standard version, no changes needed.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 17 Dec 2014 12:56:18 +0800

python-openstackclient (0.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Fri, 12 Sep 2014 13:52:22 +0800

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: cliff-tablib,
                     python-babel,
                     python-cinderclient (>= 1:1.3.1),
                     python-cliff (>= 1.14.0),
                     python-coverage,
                     python-crypto,
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:0.18.0),
                     python-hacking (>= 0.10.0),
                     python-keyring,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.28.1),
                     python-os-client-config (>= 1.4.0),
                     python-os-testr,
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.2.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testtools (>= 1.4.0),
                     python-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-openstackclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-openstackclient.git
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient
Architecture: all
Depends: cliff-tablib,
         python-babel,
         python-cinderclient (>= 1:1.3.1),
         python-cliff (>= 1.14.0),
         python-crypto,
         python-glanceclient (>= 1:0.18.0),
         python-keyring,
         python-keystoneclient (>= 1:1.6.0),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.28.1),
         python-os-client-config (>= 1.4.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.2.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Recommends: ${python:Recommends},
Description: OpenStack Command-line Client
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/python-openstackclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build build python_openstackclient.egg-info .testrepository doc/source/api

override_dh_auto_build:
	dh_auto_build

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-openstackclient/usr/share/doc/python-openstackclient/html
	dh_sphinxdoc -O--buildsystem=python2
endif

## python-openstackclient 2.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
six>=1.9.0 # MIT

Babel>=1.3 # BSD
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
openstacksdk>=0.8.1 # Apache-2.0
os-client-config>=1.13.1 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-cinderclient>=1.3.1 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 11:30:04 +0000

python-openstackclient (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 15:21:43 +0200

python-openstackclient (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2016 15:01:59 +0100

python-openstackclient (2.1.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 04:19:43 +0000

python-openstackclient (2.0.0-3) experimental; urgency=medium

  * Blacklist 3 failed unit tests in Jessie (works in Sid):
    - test_shell.TestShellCli.test_shell_args_precedence
    - test_shell.TestShellCliEnv.test_shell_args_precedence_1
    - test_shell.TestShellCliEnv.test_shell_args_precedence_2
  * Drop python-tuskarclient from build-depends (project is stopped).
  * Add Breaks+Replaces: python-openstackclient (<< 2.0.0-2~) in
    python-openstackclient-doc (Closes: #812452).
  * VCS URLs using HTTPS.

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Feb 2016 08:46:49 +0000

python-openstackclient (2.0.0-2) experimental; urgency=medium

  * Added Python 3 support.
  * Fixed debian/copyright as per FTP masters recommendation.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2016 06:13:06 +0000

python-openstackclient (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2016 05:30:14 +0000

python-openstackclient (1.7.1-1) unstable; urgency=medium

  [ Corey Bryant ]
  * New upstream release.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed watch file to use github tag.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:27:37 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/python-openstackclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-openstackclient 2.3.1

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 pbr>=1.6 # Apache-2.0
 six>=1.9.0 # MIT
 
-Babel>=1.3 # BSD
+Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
 cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
 keystoneauth1>=2.1.0 # Apache-2.0
 openstacksdk>=0.8.1 # Apache-2.0
@@ -13,7 +13,7 @@
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.utils>=3.5.0 # Apache-2.0
 python-glanceclient>=2.0.0 # Apache-2.0
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
+python-keystoneclient!=1.8.0,!=2.1.0,<3.0.0,>=1.6.0 # Apache-2.0
 python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
 python-cinderclient>=1.3.1 # Apache-2.0
 requests!=2.9.0,>=2.8.1 # Apache-2.0

=== debian/changelog ===
python-openstackclient (2.3.1-0ubuntu1~cloud0) trusty-mitaka; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 14 Jul 2017 12:05:33 +0000

python-openstackclient (2.3.1-0ubuntu1) xenial; urgency=medium

  * d/gbp.conf: Update for stable/mitaka branch.
  * New upstream point release (LP: #1703372).
  * d/p/init-neutron-client-with-region-name.patch: Initialize neutron
    client with region name to enable use with multi-region deployments
    (LP: #1570491).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 10 Jul 2017 09:42:46 -0400

=== debian/control ===
Source: python-openstackclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-barbicanclient (>= 3.3.0),
                     python-cinderclient (>= 1:1.3.1),
                     python-cliff (>= 1.15.0),
                     python-congressclient (>= 1.0.0),
                     python-coverage,
                     python-crypto,
                     python-designateclient (>= 1.5.0),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:2.0.0),
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 0.6.0),
                     python-ironicclient (>= 1.1.0),
                     python-keyring,
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-mistralclient (>= 1.0.0),
                     python-mock (>= 1.3),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.30.0),
                     python-openstacksdk (>= 0.8.1),
                     python-os-client-config (>= 1.13.1),
                     python-os-testr (>= 0.4.2),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.2.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.1.0),
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-saharaclient (>= 0.13.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testtools (>= 1.4.0),
                     python-zaqarclient (>= 0.3.0),
                     python3-babel,
                     python3-cinderclient (>= 1:1.3.1),
                     python3-cliff (>= 1.15.0),
                     python3-coverage,
                     python3-crypto,
                     python3-fixtures (>= 1.3.1),
                     python3-glanceclient (>= 1:2.0.0),
                     python3-ironicclient (>= 1.1.0),
                     python3-keyring,
                     python3-keystoneauth1 (>= 2.1.0),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mistralclient (>= 1.0.0),
                     python3-mock (>= 1.3),
                     python3-neutronclient (>= 1:2.6.0),
                     python3-novaclient (>= 2:2.30.0),
                     python3-openstacksdk (>= 0.8.1),
                     python3-os-client-config (>= 1.13.1),
                     python3-os-testr (>= 0.4.2),
                     python3-oslo.config (>= 1:3.7.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.2.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-osprofiler (>= 1.1.0),
                     python3-requests (>= 2.8.1),
                     python3-requests-mock (>= 0.7.0),
                     python3-saharaclient (>= 0.13.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-tempest-lib (>= 0.14.0),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-openstackclient.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-openstackclient.git
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient
Architecture: all
Depends: python-babel,
         python-cinderclient (>= 1:1.3.1),
         python-cliff (>= 1.15.0),
         python-crypto,
         python-glanceclient (>= 1:2.0.0),
         python-keyring,
         python-keystoneauth1 (>= 2.1.0),
         python-keystoneclient (>= 1:1.6.0),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.30.0),
         python-openstacksdk (>= 0.8.1),
         python-os-client-config (>= 1.13.1),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.2.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Recommends: ${python:Recommends},
Description: OpenStack Command-line Client - Python 2.7
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python3-openstackclient
Architecture: all
Depends: python3-babel,
         python3-cinderclient (>= 1:1.3.1),
         python3-cliff (>= 1.15.0),
         python3-crypto,
         python3-glanceclient (>= 1:2.0.0),
         python3-keyring,
         python3-keystoneauth1 (>= 2.1.0),
         python3-keystoneclient (>= 1:1.6.0),
         python3-neutronclient (>= 1:2.6.0),
         python3-novaclient (>= 2:2.30.0),
         python3-openstacksdk (>= 0.8.1),
         python3-os-client-config (>= 1.13.1),
         python3-oslo.config (>= 1:3.7.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.2.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

Package: python-openstackclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-openstackclient (<< 2.0.0-2~),
Replaces: python-openstackclient (<< 2.0.0-2~),
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

## python-openstackclient 2.6.0

=== debian/changelog ===
python-openstackclient (2.6.0-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ gustavo panizzo ]
  * Add autopkgtest tests

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 10 Sep 2016 14:27:25 +0000

python-openstackclient (2.6.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Make build reproducible applying Lamby's patch (Closes: #826676).
  * Unblacklist tests (they all work now...).
  * Switch to using pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 14:58:15 +0200

python-openstackclient (2.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jun 2016 08:06:59 +0000

=== debian/control ===
Source: python-openstackclient
Testsuite: autopkgtest
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-cinderclient (>= 1:1.7.0),
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-crypto,
                     python-designateclient (>= 1.5.0),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.0.0),
                     python-hacking (>= 0.10.0),
                     python-keyring,
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystoneclient (>= 1:1.7.0),
                     python-mock (>= 1.3),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.30.0),
                     python-os-client-config (>= 1.13.1),
                     python-os-testr (>= 0.7.0),
                     python-oslo.config (>= 1:3.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.2.0),
                     python-oslo.utils (>= 3.11.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.3.0),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 0.7.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.10.0),
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 2.3.4),
                     python3-cinderclient (>= 1:1.7.0),
                     python3-cliff (>= 1.15.0),
                     python3-coverage,
                     python3-crypto,
                     python3-fixtures (>= 3.0.0),
                     python3-glanceclient (>= 1:2.0.0),
                     python3-keyring,
                     python3-keystoneauth1 (>= 2.1.0),
                     python3-keystoneclient (>= 1:1.7.0),
                     python3-mock (>= 1.3),
                     python3-neutronclient (>= 1:2.6.0),
                     python3-novaclient (>= 2:2.30.0),
                     python3-os-client-config (>= 1.13.1),
                     python3-os-testr (>= 0.7.0),
                     python3-oslo.config (>= 1:3.10.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.2.0),
                     python3-oslo.utils (>= 3.11.0),
                     python3-oslotest (>= 1.10.0),
                     python3-osprofiler (>= 1.3.0),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 0.7.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.10.0),
                     python3-subunit,
                     python3-tempest (>= 11.0.0),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     tempest (>= 11.0.0),
                     testrepository,
#                     python-barbicanclient (>= 4.0.0),
#                     python-congressclient (>= 1.0.0),
#                     python-heatclient (>= 1.1.0),
#                     python-ironicclient (>= 1.1.0),
#                     python-ironic-inspector-client (>= 1.5.0),
#                     python-mistralclient (>= 1.0.0),
#                     python-muranoclient (>= 0.8.2),
#                     python-openstacksdk (>= 0.8.6),
#                     python-saharaclient (>= 0.13.0),
#                     python-senlinclient (>= 0.3.0),
#                     python-zaqarclient (>= 1.0.0),
#                     python3-ironicclient (>= 1.1.0),
#                     python3-mistralclient (>= 1.0.0),
#                     python3-openstacksdk (>= 0.8.6),
#                     python3-saharaclient (>= 0.13.0),
# python-searchlightclient (>= 0.2.0), Not packaged yet: TODO
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-openstackclient.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-openstackclient.git
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cinderclient (>= 1:1.7.0),
         python-cliff (>= 1.15.0),
         python-crypto,
         python-glanceclient (>= 1:2.0.0),
         python-keyring,
         python-keystoneauth1 (>= 2.1.0),
         python-keystoneclient (>= 1:1.7.0),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.30.0),
         python-openstacksdk (>= 0.8.6),
         python-os-client-config (>= 1.13.1),
         python-oslo.config (>= 1:3.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.2.0),
         python-oslo.utils (>= 3.11.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.10.0),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Recommends: ${python:Recommends},
Description: OpenStack Command-line Client - Python 2.7
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python3-openstackclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cinderclient (>= 1:1.7.0),
         python3-cliff (>= 1.15.0),
         python3-crypto,
         python3-glanceclient (>= 1:2.0.0),
         python3-keyring,
         python3-keystoneauth1 (>= 2.1.0),
         python3-keystoneclient (>= 1:1.7.0),
         python3-neutronclient (>= 1:2.6.0),
         python3-novaclient (>= 2:2.30.0),
         python3-openstacksdk (>= 0.8.6),
         python3-os-client-config (>= 1.13.1),
         python3-oslo.config (>= 1:3.10.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.2.0),
         python3-oslo.utils (>= 3.11.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.10.0),
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

Package: python-openstackclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-openstackclient (<< 2.0.0-2~),
Replaces: python-openstackclient (<< 2.0.0-2~),
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build build .testrepository doc/source/api

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Disabled unit tests unit build-dependencies are available"
#	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-openstackclient-doc/usr/share/doc/python-openstackclient-doc/html
	dh_sphinxdoc -O--buildsystem=python2
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	dh_installman
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:
